<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1statement.html">statement</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::statement Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>at_first_step</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind</b>(unsigned long idx, const T &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind</b>(unsigned long idx, const std::string &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind</b>(unsigned long idx, const float &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind</b>(unsigned long idx, const double &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind</b>(unsigned long idx, const long double &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind</b>(unsigned long idx, const T &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind_blob</b>(unsigned long parameter_id, const std::vector&lt; char &gt; &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind_double</b>(unsigned long parameter_id, const double &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind_int</b>(unsigned long parameter_id, const int &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind_int64</b>(unsigned long parameter_id, const int64 &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind_null</b>(unsigned long parameter_id) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bind_object</b>(unsigned long parameter_id, const T &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bind_text</b>(unsigned long parameter_id, const std::string &amp;item) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>db</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>exec</b>() (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column</b>(unsigned long idx, T &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column</b>(unsigned long idx, std::string &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column</b>(unsigned long idx, float &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column</b>(unsigned long idx, double &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column</b>(unsigned long idx, long double &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column</b>(unsigned long idx, T &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column_as_blob</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column_as_double</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column_as_int</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column_as_int64</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column_as_object</b>(unsigned long idx, T &amp;item) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_column_as_text</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_column_name</b>(unsigned long idx) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_max_parameter_id</b>() const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_num_columns</b>() const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_parameter_id</b>(const std::string &amp;name) const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_sql_string</b>() const (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>move_next</b>() (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>needs_reset</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a>()</td><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>reset</b>() (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sql_string</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>statement</b>(database &amp;db_, const std::string sql_statement) (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>step_status</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>stmt</b> (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~noncopyable</b>() (defined in <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~statement</b>() (defined in <a class="el" href="classdlib_1_1statement.html">dlib::statement</a>)</td><td class="entry"><a class="el" href="classdlib_1_1statement.html">dlib::statement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
